package com.f1rq.lifemap

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.navigation.NavHostController
import com.f1rq.lifemap.navigationbar.NavigationBar
import androidx.navigation.compose.currentBackStackEntryAsState
import androidx.compose.runtime.getValue


@Composable
fun NavBarHandler(navController: NavHostController) {
    val currentRoute = currentRoute(navController)

    NavigationBar(
        modifier = Modifier,
        onWorldViewTapped = {
            if (currentRoute != "mapview") navController.navigate("mapview")
        },
        onListViewTapped = {
            if (currentRoute != "listview") navController.navigate("listview")
        },
        //homeState = if (currentRoute == "home") "active" else "inactive",
        //settingsState = if (currentRoute == "settings") "active" else "inactive",
    )
}

@Composable
private fun currentRoute(navController: NavHostController): String? {
    val navBackStackEntry by navController.currentBackStackEntryAsState()
    return navBackStackEntry?.destination?.route
}